#pragma once
#include "Entity.h"
#include "MenuTextKeyboard.h"
#define MENUTEXTSK1_PLAYER2KEYBOARD_CREATENAME L"menutext_player2keyboard_sk1"
class MenuTextSk1_Player2Keyboard :
    public MenuTextKeyboard
{
public:
    InputSetting_Keyboard* GetInputSetting() override;
    SDL_Scancode* GetBind(InputSetting_Keyboard* setting) override;
};

std::shared_ptr<Entity> CreateMenuTextSk1_Player2Keyboard();